Bug 1700737 - CVE-2018-16877 CVE-2018-16878 CVE-2019-3885 pacemaker: various flaws [fedora-all]
Summary: CVE-2018-16877 CVE-2018-16878 CVE-2019-3885 pacemaker: various flaws [fedora-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pacemaker
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F30FinalBlocker CVE-2018-16877 CVE-2018-16878 CVE-2019-3885
TreeView+ depends on / blocked
 
Reported: 2019-04-17 09:50 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-05-05 02:43 UTC (History)
8 users (show)

Fixed In Version: pacemaker-2.0.1-2.fc31 pacemaker-2.0.1-2.fc30 pacemaker-1.1.18-3.fc28 pacemaker-2.0.0-5.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-23 23:43:56 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2019-04-17 09:50:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Huzaifa S. Sidhpurwala 2019-04-17 09:51:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1652646,1657962,1694554,1700737

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-04-17 15:50:49 UTC
pacemaker-2.0.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4c8de3fb7

Comment 3 Jan Pokorný [poki] 2019-04-17 15:56:50 UTC
pacemaker-2.0.1-2.fc30 delivers solely the security related fixes (see
the linked CVEs), please consider granting an exception for F30 here.

Comment 4 Fedora Update System 2019-04-18 18:24:30 UTC
pacemaker-2.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4c8de3fb7

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-04-19 09:01:50 UTC
+1 FE

Comment 6 Geoffrey Marr 2019-04-22 18:36:24 UTC
Discussed during the 2019-04-22 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" (even though it was initially proposed as a Freeze Exception) was made as it violates the following criteria:

"The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation)." - CVE-2018-16877 is rated 'important'

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-04-22/f30-blocker-review.2019-04-22-16.00.txt

Comment 7 Fedora Update System 2019-04-23 23:43:56 UTC
pacemaker-2.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-04-25 15:42:49 UTC
pacemaker-2.0.0-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b502250ba4

Comment 9 Fedora Update System 2019-04-25 15:46:08 UTC
pacemaker-1.1.18-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e71f6f36ac

Comment 10 Fedora Update System 2019-04-25 22:51:31 UTC
pacemaker-1.1.18-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e71f6f36ac

Comment 11 Fedora Update System 2019-04-26 22:09:56 UTC
pacemaker-2.0.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b502250ba4

Comment 12 Fedora Update System 2019-05-04 01:17:20 UTC
pacemaker-1.1.18-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-05-05 02:43:33 UTC
pacemaker-2.0.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.